{% extends 'base.jinja2' %}
{% set main_class = 'container-1 pad-x0' %}
{% set body_class = 'body theme-' + board.palette %}
{% block menu %}{% include 'ej_boards/includes/menu-board.jinja2' %}{% endblock %}


{% block content %}
    <form method="POST" class="width-full">
        {{ csrf_input }}
        {% include 'ej_conversations/includes/editable-conversation-balloon.jinja2' %}

        {% block form_content %}
            <div class="measure margin-xauto">
                {# CONVERSATION FORM #}
                <h1 class="h2 text-accent center">{{ _('Conversation') }}</h1>
                <p class="center">{% trans %}Please fill the details bellow.{% endtrans %}</p>
                <div class="side-space">
                    {{ form.non_field_errors() }}
                    {{ form.title.errors }}
                    <label>{{ form.title.label }}{{ form.title }}</label>
                </div>
                <legend>{{ form.title.help_text }}</legend>

                {# ADD COMMENTS #}
                <h1 class="h2 text-accent center">{{ _('Initial comments') }}</h1>
                <p class="center">
                    {{ _('Add as many comments as you like (including none).') }}{{ ' ' }}
                    {{ _('Remember to give a minimum context and something for other users to explore.') }}{{ ' ' }}
                    {{ _('You can add as many comments as you want later.') }}
                </p>
                <input type="hidden" name="comments_count" value="3">
                <div id="comment-list" class="side-space">
                    {% for i in range(1, 4) %}
                        <label>
                            {% trans %}Comment {{ i }}{% endtrans %}
                            <textarea name="comment-{{ i }}"
                                      placeholder="{{ _('Type your comment here') }} #{{ i }}"></textarea>
                        </label>
                    {% endfor %}
                </div>

                <a class="block uppercase center semi-bold" id="add-more-comments" tabindex="0">
                    <i class="fa fa-plus"></i> {{ _('Add more comments') }}
                </a>

                <div class="margin-xauto margin-y3 center">
                    <input class="is-primary" type="submit" value="{{ _('Create conversation') }}">
                </div>
            </div>
        {% endblock %}
    </form>
{% endblock %}


{% block javascript %}
    {{ super() }}
    <!--suppress SpellCheckingInspection -->
    <script>
        window.addEventListener('load', function () {
            $('#add-more-comments')
                .on('click keypress', function (ev) {
                    // keycodes: 13 = return; 32 = space
                    if (ev.type === "keypress" && (![13, 32].includes(ev.keyCode))) return;
                    var $input = $('input[name="comments_count"]'),
                        index = parseInt($input.val(), 10) + 1,
                        template = (
                            '<label>' +
                            '{% trans %}Comment %i%{% endtrans %}' +
                            '<textarea name="comment-%i%" placeholder="{{ _('Type your comment here') }} #%i%"></textarea>' +
                            '</label>');
                    $input.val(index);
                    $('#comment-list').append(template.replace(/%i%/g, index));
                });
        });
    </script>
{% endblock %}

